#!/bin/bash
source venv/bin/activate
export FLASK_APP=nopaque.py
if [[ "$#" -eq 0 ]]; then
    while true; do
        flask deploy
        if [[ "$?" == "0" ]]; then
            break
        fi
        echo Deploy command failed, retrying in 5 secs...
        sleep 5
    done
    python nopaque.py
elif [[ "$1" == "flask" ]]; then
    exec ${@:1}
else
    echo "$0 [COMMAND]"
    echo ""
    echo "nopaque startup script"
    echo ""
    echo "Commands:"
    echo "  flask"
fi
